/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { WebBaseToolbarDirectiveDescription } from "./WebBaseToolbarDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebGridToolbarExporterDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebGridToolbarExporterDescription, _super);
    function WebGridToolbarExporterDescription() {
        var _this = _super.call(this) || this;
        _this.y = false;
        _this.z = false;
        _this.ag = null;
        _this.aa = false;
        _this.af = null;
        _this.ae = null;
        return _this;
    }
    WebGridToolbarExporterDescription.prototype.get_type = function () {
        return "WebGridToolbarExporter";
    };
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "exportCSV", {
        get: function () {
            return this.y;
        },
        set: function (a) {
            this.y = a;
            this.e("ExportCSV");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "exportExcel", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.e("ExportExcel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "filename", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.e("Filename");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "isExporting", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.e("IsExporting");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "exportStartedRef", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.e("ExportStartedRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridToolbarExporterDescription.prototype, "exportEndedRef", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.e("ExportEndedRef");
        },
        enumerable: false,
        configurable: true
    });
    WebGridToolbarExporterDescription.$t = markType(WebGridToolbarExporterDescription, 'WebGridToolbarExporterDescription', WebBaseToolbarDirectiveDescription.$);
    return WebGridToolbarExporterDescription;
}(WebBaseToolbarDirectiveDescription));
export { WebGridToolbarExporterDescription };
